Bug 1628525 - F29 KDE Live contains old wallpaper from F28
Summary: F29 KDE Live contains old wallpaper from F28
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-settings   
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords:
Depends On:
Blocks: F29BetaBlocker F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-09-13 11:05 UTC by Kamil Páral
Modified: 2018-09-15 23:09 UTC (History)
10 users (show)

Fixed In Version: kde-settings-29.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-15 23:09:08 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kamil Páral 2018-09-13 11:05:44 UTC
Description of problem:
When F29 KDE Live is booted, the default background is the one from F28. That violates:
"The default desktop background must be different from that of the last two stable releases. "
https://fedoraproject.org/wiki/Basic_Release_Criteria#desktop-background

Version-Release number of selected component (if applicable):
Fedora-KDE-Live-x86_64-29_Beta-1.1.iso
$ rpm -qa | grep background
f28-backgrounds-base-28.1.5-1.fc29.noarch
f29-backgrounds-base-29.0.0-2.fc29.noarch
f28-backgrounds-kde-28.1.5-1.fc29.noarch
desktop-backgrounds-compat-29.0.0-1.fc29.noarch

Comment 1 Adam Williamson 2018-09-13 16:04:43 UTC
I am seriously *so* sick of this dumbass thing happening every time. We already *had* an FE bug to get the new backgrounds in. It should not take two freaking FE bugs per cycle to change the damn backgrounds.

Comment 2 Fedora Update System 2018-09-13 19:21:08 UTC
kde-settings-29.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f78d4e856

Comment 3 Adam Williamson 2018-09-14 03:56:37 UTC
Discussed at 2018-09-13 Fedora 29 Beta Go/No-Go meeting, acting as a blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2018-09-13/f29-beta-go_no_go-meeting.2018-09-13-17.00.html . It was generally agreed that this is a violation of the criteria as they stand, but there was a split between those voting to accept it as a blocker on that basis (+4) and those who would prefer to change the criterion somehow to no longer cover this - either by moving it to Final, or by having it not cover KDE (-3). As the vote was close to a tie with certainly no clear winner, that was counted as no decision, and the bug remains a proposed blocker. However, there was a clear consensus that it should be at least a freeze exception, so it is accepted as that.

Comment 4 Fedora Update System 2018-09-14 20:00:27 UTC
kde-settings-29.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f78d4e856

Comment 5 Fedora Update System 2018-09-15 18:56:10 UTC
f29-backgrounds-29.0.0-3.fc29 kde-settings-29.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f78d4e856

Comment 6 Fedora Update System 2018-09-15 18:58:02 UTC
f29-backgrounds-29.0.0-3.fc29 kde-settings-29.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f78d4e856

Comment 7 Fedora Update System 2018-09-15 23:09:08 UTC
f29-backgrounds-29.0.0-3.fc29, kde-settings-29.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.